summaryrefslogtreecommitdiff
path: root/app/xterm/vttests/doublechars.sh
diff options
context:
space:
mode:
authorMatthieu Herrb <matthieu@cvs.openbsd.org>2022-04-25 19:20:39 +0000
committerMatthieu Herrb <matthieu@cvs.openbsd.org>2022-04-25 19:20:39 +0000
commitb44fee0a07313bfc44155c2f810882ad90a69551 (patch)
tree7ccc1b0957dcbe92a9dcd34e6e7e8176f6c752ac /app/xterm/vttests/doublechars.sh
parente60aa9e43a4e42185fab86c58155ffc187b9b777 (diff)
Update to xterm 372. ok tb@, naddy@. Tested by others too.
Diffstat (limited to 'app/xterm/vttests/doublechars.sh')
-rw-r--r--app/xterm/vttests/doublechars.sh12
1 files changed, 4 insertions, 8 deletions
diff --git a/app/xterm/vttests/doublechars.sh b/app/xterm/vttests/doublechars.sh
index ba14a1059..74aa9efe9 100644
--- a/app/xterm/vttests/doublechars.sh
+++ b/app/xterm/vttests/doublechars.sh
@@ -1,9 +1,9 @@
#!/bin/sh
-# $XTermId: doublechars.sh,v 1.21 2021/03/03 01:16:53 tom Exp $
+# $XTermId: doublechars.sh,v 1.22 2022/02/13 14:34:47 tom Exp $
# -----------------------------------------------------------------------------
# this file is part of xterm
#
-# Copyright 1999-2011,2021 by Thomas E. Dickey
+# Copyright 1999-2021,2022 by Thomas E. Dickey
#
# All Rights Reserved
#
@@ -85,12 +85,8 @@ if test $SAVE = yes ; then
wide=`echo "$wide"|sed -e 's/t.*//'`
original=${CSI}8\;${high}\;${wide}t${SUF}
- if ( trap "echo exit" EXIT 2>/dev/null ) >/dev/null
- then
- trap '$CMD $OPT "$original" >/dev/tty; exit' EXIT HUP INT QUIT TERM
- else
- trap '$CMD $OPT "$original" >/dev/tty; exit' 0 1 2 3 15
- fi
+ trap '$CMD $OPT "$original" >/dev/tty; exit 1' 1 2 3 15
+ trap '$CMD $OPT "$original" >/dev/tty' 0
fi